Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.past.testing
Class PastRegrTest

    java.lang.Object
      rice.p2p.commonapi.testing.CommonAPITest
          rice.p2p.past.testing.PastRegrTest

    public class PastRegrTest

extends CommonAPITest

Version:
  $Id: PastRegrTest.java 3613 2007-02-15 14:45:14Z jstewart $
Author:
  Alan Mislove

Nested Class Summary
`protected static class` | `PastRegrTest.NonMutableTestPastContent`
`protected static class` | `PastRegrTest.NonOverwritingTestPastContent`
`protected class` | `PastRegrTest.TestCommand` Common superclass for test commands.
`protected class` | `PastRegrTest.TestExceptionCommand` Common superclass for test commands which should throw an exception
`protected static class` | `PastRegrTest.TestPastContent` Utility class for past content objects
`protected static class` | `PastRegrTest.TestPastContentHandle` Utility class for past content object handles
`protected static class` | `PastRegrTest.TestRouteMessage` Utility class which simulates a route message
`protected static class` | `PastRegrTest.VersionedTestPastContent`

Field Summary
`static java.lang.String` | `INSTANCE`
`protected PastImpl[]` | `pasts`
`static int` | `REPLICATION_FACTOR`
`protected boolean` | `running`
`protected StorageManager[]` | `storages`

Fields inherited from class rice.p2p.commonapi.testing.CommonAPITest
`BOOTSTRAP, BOOTSTRAP_PORT, environment, factory, FACTORY, FAILURE, idFactory, INSTANCE_NAME, LEASE_PERIOD, logger, nodes, NUM_NODES, PAD_SIZE, params, PORT, PROTOCOL, PROTOCOL_DIRECT, PROTOCOL_RENDEZVOUS, PROTOCOL_SOCKET, simulator, SIMULATOR, SIMULATOR_EUCLIDEAN, SIMULATOR_GT_ITM, SIMULATOR_SPHERE, SUCCESS, TIME_TO_FIND_FAULTY`

Constructor Summary
`PastRegrTest(Environment env)` Constructor which sets up all local variables

Method Summary
`protected void` | `cleanUp()`
`static void` | `main(java.lang.String[] args)` Usage: DistPastTest [-port p] [-bootstrap host[:port]] [-nodes n] [-protocol (direct|socket)] [-help]
`protected void` | `processNode(int num, Node node)` Method which should process the given newly-created node
`protected void` | `runTest()` Method which should run the test - this is called once all of the nodes have been created and are ready.
`protected void` | `testCaching()` Tests the dynamic caching function in Past.
`protected void` | `testFetch()` Tests the fetch function in Past.
`protected void` | `testLookupHandles()` Tests the lookup handles function in Past.
`protected void` | `testRouteRequest()` Tests routing a Past request to a particular node.
`protected void` | `testVersionControl()` Tests overwriting an exiting object with a new one

Methods inherited from class rice.p2p.commonapi.testing.CommonAPITest
`assertEquals, assertTrue, createNode, createNodes, getBootstrap, kill, parseArgs, pause, sectionDone, sectionStart, setupParams, simulate, simulate, start, stepDone, stepDone, stepDone, stepException, stepStart, waitOnClock, waitToRecoverFromKilling`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static java.lang.String INSTANCE

### REPLICATION_FACTOR

    public static final int REPLICATION_FACTOR

See Also:
  Constant Field Values

### storages

    protected StorageManager[] storages

### pasts

    protected PastImpl[] pasts

### running

    protected boolean running

Constructor Detail

### PastRegrTest

    public PastRegrTest(Environment env)
                 throws java.io.IOException

  Constructor which sets up all local variables

  Throws:
    `java.io.IOException`

Method Detail

### processNode

    protected void processNode(int num,
                               Node node)

  Method which should process the given newly-created node

  Specified by:
    `processNode` in class `CommonAPITest`
  Parameters:
    `node` - The newly created node
    `num` - The number of this node

### runTest

    protected void runTest()

  Method which should run the test - this is called once all of the nodes have been created and are ready.

  Specified by:
    `runTest` in class `CommonAPITest`

### testRouteRequest

    protected void testRouteRequest()

  Tests routing a Past request to a particular node.

### testVersionControl

    protected void testVersionControl()

  Tests overwriting an exiting object with a new one

### testFetch

    protected void testFetch()

  Tests the fetch function in Past.

### testLookupHandles

    protected void testLookupHandles()

  Tests the lookup handles function in Past.

### testCaching

    protected void testCaching()

  Tests the dynamic caching function in Past.

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Usage: DistPastTest [-port p] [-bootstrap host[:port]] [-nodes n] [-protocol (direct|socket)] [-help]

  Throws:
    `java.lang.Exception`

### cleanUp

    protected void cleanUp()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.